Last Comment Bug 659335 - Learn More links are broken in sync discovery dialogs
: Learn More links are broken in sync discovery dialogs
Status: VERIFIED FIXED
[verified-in-places]
:
Product: Cloud Services
Classification: Client Software
Component: Firefox Sync: UI (show other bugs)
: unspecified
: All All
: -- critical (vote)
: mozilla7
Assigned To: Marco Bonardo [::mak] (Away 6-20 Aug)
:
Mentors:
Depends on: 919490
Blocks: 618913
  Show dependency treegraph
 
Reported: 2011-05-24 08:31 PDT by Tracy Walker [:tracy]
Modified: 2013-09-23 05:17 PDT (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
+
fixed


Attachments
patch v1.0 (1.48 KB, patch)
2011-05-24 13:42 PDT, Marco Bonardo [::mak] (Away 6-20 Aug)
dolske: review+
bugzilla: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description Tracy Walker [:tracy] 2011-05-24 08:31:13 PDT
This is a follow up bug for bug 618913

STR:

1) Open the bookmarks dialog from the star or open the remember password dialog from the key at a password required site.
2) Click on the "Learn More" link

tested results:
Nothing happens

expected results:
taken to a page about how to setup/use Sync.
Comment 1 Marco Bonardo [::mak] (Away 6-20 Aug) 2011-05-24 08:40:25 PDT
This should be fixed if we retain the feature, if the patch is trivial enough we may get approval (should be trivial).
Comment 2 Marco Bonardo [::mak] (Away 6-20 Aug) 2011-05-24 13:42:54 PDT
Created attachment 534877 [details] [diff] [review]
patch v1.0

some thoughts:
1. I can't directly use <label> since it opens links in a new window (bug 263433)
2. I can't use OpenUILlinkIn(url, 'tab') because it respects browser.tabs.loadBookmarksInBackground, in this case the user requested more information, opening a background tab sounds crazy.
3. Since the user explicitly requests a context-switch, I close the panel, otherwise it would be a panel floating on a different page than the one that generated it.
Comment 3 Marco Bonardo [::mak] (Away 6-20 Aug) 2011-06-02 07:32:33 PDT
Since I plan to merge on Monday or similar, pushed to the branch
http://hg.mozilla.org/projects/places/rev/ee2caae41309
Comment 4 Tracy Walker [:tracy] 2011-06-03 08:26:07 PDT
verified in places build from 20110602

Learn more links go to http://www.mozilla.com/en-US/mobile/sync/  and dialog is closed on link click.
Comment 5 Marco Bonardo [::mak] (Away 6-20 Aug) 2011-06-08 05:04:18 PDT
http://hg.mozilla.org/mozilla-central/rev/ee2caae41309
Comment 6 Marco Bonardo [::mak] (Away 6-20 Aug) 2011-06-08 05:05:31 PDT
Comment on attachment 534877 [details] [diff] [review]
patch v1.0

This is a basic functionality for the feature, if we want to retain the feature this bug has to be fixed.
The patch is simply adding an onclick handler.
Comment 7 Marco Bonardo [::mak] (Away 6-20 Aug) 2011-06-10 03:55:34 PDT
http://hg.mozilla.org/releases/mozilla-aurora/rev/ec8b39089b68

Note You need to log in before you can comment on or make changes to this bug.